Option Explicit

Dim objHttp
'-------------------------------------------------------------------------------
'ACSo[W`FbN
'-------------------------------------------------------------------------------
Function fACSVersionCheck()

    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?m=vck&" & fHttpParm()))

    If tmpStatus <> "<ver>" then
       tmpStatus = Replace(tmpStatus, "<", vbNullString)
       tmpStatus = Replace(tmpStatus, ">", vbNullString)
       fACSVersionCheck = tmpStatus
    Else
       fACSVersionCheck = cScriptVer
    End If

End Function

'-------------------------------------------------------------------------------
'ACSCtH[[V
'-------------------------------------------------------------------------------
Function fACSInformation()

    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?m=pck&" & fHttpParm()))

    If tmpStatus <> "<pch>" then
       tmpStatus = Replace(tmpStatus, "<", vbNullString)
       tmpStatus = Replace(tmpStatus, ">", vbNullString)
       fACSInformation = tmpStatus
    Else
       fACSInformation = vbNullString
    End If

End Function

'-------------------------------------------------------------------------------
'WebDBԃ`FbN
'-------------------------------------------------------------------------------
Function fWebDBCheck()

    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?" & fHttpParm()))

    fWebDBCheck = tmpStatus

End Function

'-------------------------------------------------------------------------------
'Ŝ̔Fؗ
'-------------------------------------------------------------------------------
Function fACSAutoAut()

    Dim tmpStatus

    tmpStatus = Trim(fWebDbAccess(cBaseURI & "?m=ave&"  & fHttpParm()))

    If IsNumeric(tmpStatus) = False Then
       tmpStatus = 0
    End If

    fACSAutoAut = tmpStatus

End Function

'-------------------------------------------------------------------------------
'WebDBƉ
'-------------------------------------------------------------------------------
Function fGetWebDB(pHash)

    Dim strLetter

    If Trim(pHash) = vbNullString Then
       fGetWebDB = vbNullString
       Exit Function
    End If

    strLetter = CStr(fWebDbAccess(cBaseURI & "?jx=p&h=" & pHash & "&" & fHttpParm()))

    If InStr(1, strLetter, "<") > 0 Then
       strLetter = vbNullString
    End If

    fGetWebDB = strLetter

End Function

'-------------------------------------------------------------------------------
'WebDBo^
'-------------------------------------------------------------------------------
Function fAddWebDB(pLetter, pHash)

    Dim strLetter
    Dim strStatus

    If Trim(pLetter) = vbNullString Or _
       Trim(pHash) = vbNullString Then
       fAddWebDB = vbNullString
       Exit Function
    End If

    strStatus = CStr(fWebDbAccess(cBaseURI & "?l=" & pLetter & "&h=" & pHash & "&" & fHttpParm()))

    If strStatus = "<addok2>" Then
       strStatus = "<addok>"
    End If

    fAddWebDB = strStatus

End Function

'-------------------------------------------------------------------------------
'WebDB폜
'-------------------------------------------------------------------------------
Function fDellWebDB(pLetter, pHash)

    Dim strLetter
    Dim strStatus

    If Trim(pLetter) = vbNullString Or _
       Trim(pHash) = vbNullString Then
       fDellWebDB = vbNullString
       Exit Function
    End If

    strStatus = CStr(fWebDbAccess(cBaseURI & "?s=x&l=" & pLetter & "&h=" & pHash & "&" & fHttpParm()))

    fDellWebDB = strStatus

End Function

'-------------------------------------------------------------------------------
'Parm
'-------------------------------------------------------------------------------
Function fHttpParm()

    Dim tmpParm

    tmpParm = fDateTime2()
    tmpParm = tmpParm & fGetCheckDigit(tmpParm)

    fHttpParm = "sp=" & tmpParm & "&v=" & cScriptVer

End Function

'-------------------------------------------------------------------------------
'㗝F؏ԃ`FbN
'-------------------------------------------------------------------------------
Function fWebSupportOnline()

    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI2 & "?m=0&" & fHttpParm() & fGetUniqueID()))

    fWebSupportOnline = tmpStatus

End Function

'-------------------------------------------------------------------------------
'㗝Fؓo^
'-------------------------------------------------------------------------------
Function fWebSupportRegist(pPict)

    Dim tmpStatus

    tmpStatus = fWebDbPostAccess(cBaseURI2, "m=1&pict=" & pPict & "&" & fHttpParm() & fGetUniqueID())

    fWebSupportRegist = tmpStatus

End Function

'-------------------------------------------------------------------------------
'㗝F،ʎ擾
'-------------------------------------------------------------------------------
Function fWebSupportResult(pHash)

    Dim tmpStatus

    tmpStatus = fWebDbAccess(cBaseURI2 & "?m=41&h=" & pHash & "&" & fHttpParm() & fGetUniqueID())

    If Left(tmpStatus, 1) = "<" Then
       fWebSupportResult = vbNullString
    Else
       fWebSupportResult = tmpStatus
    End If

End Function

'-------------------------------------------------------------------------------
'㗝FؗLmF
'-------------------------------------------------------------------------------
Function fWebSupportCheck()

    Dim tmpStatus

    tmpStatus = fWebDbAccess(cBaseURI2 & "?m=11&" & fHttpParm() & fGetUniqueID())

    fWebSupportCheck = tmpStatus

End Function

'-------------------------------------------------------------------------------
'WebDBC^[tF[X(GETp)
'-------------------------------------------------------------------------------
Function fWebDbAccess(pURI)

    On Error Resume Next

    If fMSXML() = False Then
       fWebDbAccess = vbNullString
    End If

    With objHttp

        .Open "GET", pURI, False
        .Send

         If .Status >= 200 And .Status < 300 Then
            fWebDbAccess = .responseText
         Else
            fWebDbAccess = vbNullString
         End If

    End With

    On Error GoTo 0

    Set objHttp = Nothing

End Function

'-------------------------------------------------------------------------------
'WebDBC^[tF[X(POSTp)
'-------------------------------------------------------------------------------
Function fWebDbPostAccess(pURI, sPostData)

    On Error Resume Next

    If fMSXML() = False Then
       fWebDbPostAccess = vbNullString
    End If

    With objHttp

         .Open "POST", pURI, False
         .Send sPostData

         If .Status >= 200 And .Status < 300 Then
            fWebDbPostAccess = .responseText
         Else
            fWebDbPostAccess = vbNullString
         End If

    End With

    On Error GoTo 0

    Set objHttp = Nothing

End Function

'-------------------------------------------------------------------------------
'MSXMLIuWFNg쐬
'-------------------------------------------------------------------------------
Function fMSXML()

    On Error Resume Next

    Set objHttp = CreateObject("MSXML2.XMLHTTP")
    If Err.Number <> 0 Then
       Set objHttp = CreateObject("Microsoft.XMLHTTP")
       If Err.Number <> 0 Then
          Set objHttp = CreateObject("MSXML.XMLHTTP")
          If Err.Number <> 0 Then
             Set objHttp = CreateObject("MSXML3.XMLHTTP")
          End If
       End If
    End If

    If objHttp Is Nothing Then
        fMSXML = False
        Exit Function
    End If

    On Error GoTo 0

    fMSXML = True

End Function
