Option Explicit

Dim objMDB

'-------------------------------------------------------------------------------
'L[ۑ
'-------------------------------------------------------------------------------
Function fSaveImage(pData)

    Dim tmpSQL
    Dim tmpLetter

    tmpLetter = fGetURLLetter()

    If Trim(pData) = vbNullString Or _
       Trim(tmpLetter) = vbNullString Then
       fSaveImage = False
       Exit Function
    End If

    'LocalDB(pict)
    tmpSQL = "insert  into LetterData " _
           & "       (letter" _
           & "       ,data)   " _
           & "values ('" & tmpLetter & "'" _
           & "       ,'" & Mid(pData, 6001, 512) & "')"

    If getMDBConnection(cUserDataBase) = False Then
'       Call sMessage("ACS501E")
'       Call sMessage("ACS502E")
       fSaveImage = False
       Exit Function
    End If

    On Error Resume Next

    objMDB.BeginTrans

    objMDB.Execute(tmpSQL)

    objMDB.CommitTrans

    objMDB.Close
    Set objMDB = Nothing

    On Error GoTo 0

    fSaveImage = True

End Function

'-------------------------------------------------------------------------------
'L[ۑ
'-------------------------------------------------------------------------------
Function fSaveImageFromWebDB(pKey, pData)

    Dim tmpSQL
    Dim objRS

    If Trim(pKey) = vbNullString Or _
       Trim(pData) = vbNullString Then
       fSaveImageFromWebDB = False
       Exit Function
    End If

    If getMDBConnection(cUserDataBase) = False Then
'       Call sMessage("ACS501E")
'       Call sMessage("ACS502E")
       fSaveImageFromWebDB = False
       Exit Function
    End If

    'f[^L`FbN
    tmpSQL = "select count(*) AS R_CNT from LetterData " _
           & " where letter = '" & pKey & "'" _
           & "   and data   = '" & Mid(pData, 6001, 512) & "'"

    On Error Resume Next

    Set objRS = objMDB.Execute(tmpSQL)

    If CLng(objRS("R_CNT")) = 0 Then

       'LocalDB(user)
       tmpSQL = "insert  into LetterData " _
              & "       (letter" _
              & "       ,data)   " _
              & "values ('" & pKey & "'" _
              & "       ,'" & Mid(pData, 6001, 512) & "')"

       objRS.Close
       Set objRS = Nothing

       objMDB.BeginTrans
       objMDB.Execute(tmpSQL)
       objMDB.CommitTrans

    End If

    objMDB.Close
    Set objMDB = Nothing

    On Error GoTo 0

    fSaveImageFromWebDB = True

End Function

'-------------------------------------------------------------------------------
'kL[폜
'-------------------------------------------------------------------------------
Function fDeleteNullKey()

    Dim tmpSQL

    tmpSQL = "delete from LetterData" _
           & " where letter = ''" _
           & "    or data = ''"

    If getMDBConnection(cUserDataBase) = False Then
'       Call sMessage("ACS501E")
'       Call sMessage("ACS502E")
       Exit Function
    End If

    On Error Resume Next

    objMDB.BeginTrans

    objMDB.Execute(tmpSQL)

    objMDB.CommitTrans

    objMDB.Close
    Set objMDB = Nothing

    On Error GoTo 0

End Function

'-------------------------------------------------------------------------------
'L[폜
'-------------------------------------------------------------------------------
Function fDeleteKey(pDb, pKey, pLetter)

    Dim tmpSQL

    If Trim(pDb) = vbNullString Or _
       Trim(pKey) = vbNullString Or _
       Trim(pLetter) = vbNullString Then
       fDeleteKey = False
       Exit Function
    End If

    If pDb = cUserDataBase Then
       tmpSQL = "delete from LetterData" _
              & " where data = '" & Mid(pKey, 6001, 512) & "'"

    Else
       tmpSQL = "delete from o]" _
              & " where o] = '" & Mid(pKey, 6001, 512) & "'"

    End If

    If getMDBConnection(pDb) = False Then
'       Call sMessage("ACS501E")
'       If pDb = cUserDataBase Then
'          Call sMessage("ACS502E")
'       Else
'          Call sMessage("ACS503E")
'       End If
       fDeleteKey = False
       Exit Function
    End If

    On Error Resume Next

    objMDB.BeginTrans

    objMDB.Execute(tmpSQL)

    objMDB.CommitTrans

    objMDB.Close
    Set objMDB = Nothing

    On Error GoTo 0

    fDeleteKey = True

End Function

'-------------------------------------------------------------------------------
'f[^邩ǂmF([U[DB)
'-------------------------------------------------------------------------------
Function fImageCheck(pData)

    Dim tmpRS
    Dim tmpSQL

    If Trim(pData) = vbNullString Then
       fImageCheck = vbNullString
       Exit Function
    End If

    If getMDBConnection(cUserDataBase) = False Then
'       Call sMessage("ACS501E")
'       Call sMessage("ACS502E")
       fImageCheck = vbNullString
       Exit Function
    End If

    tmpSQL = "select * from LetterData where data='" & Mid(pData, 6001, 512) & "'"

    On Error Resume Next

    Set tmpRS = objMDB.Execute(tmpSQL)

    If tmpRS.Eof = True Then
       fImageCheck = vbNullString
    Else
       fImageCheck = Trim(tmpRS("letter"))
    End If

    tmpRS.Close
    objMDB.Close

    Set tmpRS = Nothing
    Set objMDB = Nothing

    On Error GoTo 0

End Function

'-------------------------------------------------------------------------------
'f[^邩ǂmF(DB)
'-------------------------------------------------------------------------------
Function fImageCheckOptional(pData)

    Dim tmpRS
    Dim tmpSQL

    If Trim(pData) = vbNullString Then
       fImageCheckOptional = vbNullString
       Exit Function
    End If

    If getMDBConnection(cOptionalDataBase) = False Then
'       Call sMessage("ACS501E")
'       Call sMessage("ACS503E")
       fImageCheckOptional = vbNullString
       Exit Function
    End If

'    tmpSQL = "select * from o] where o]='" & pData & "'"
    tmpSQL = "select * from o] where o]='" & Mid(pData, 6001, 512) & "'"

    On Error Resume Next

    Set tmpRS = objMDB.Execute(tmpSQL)

    If tmpRS.Eof = True Then
       fImageCheckOptional = vbNullString
    Else
       fImageCheckOptional = Trim(tmpRS("Ex"))
    End If

    tmpRS.Close
    objMDB.Close

    Set tmpRS = Nothing
    Set objMDB = Nothing

    On Error GoTo 0

End Function

'-------------------------------------------------------------------------------
'Accessf[^x[X(MDB)pADORlNV쐬
'-------------------------------------------------------------------------------
Function getMDBConnection(pDBFile)

    Set objMDB = Createobject("ADODB.Connection")

    On Error Resume Next

    'MDBpADORlNV쐬܂
    objMDB.Open "Driver={Microsoft Access Driver (*.mdb)};" & _
                "DBQ=" & strScriptPath & "config\" & pDBFile & ";"

    'RlNV̌ʂ𔻒
    If Err.Number = 0 Then
       getMDBConnection = True  'RlNV
    Else
       getMDBConnection = False 'RlNVG[iMDBt@Cj
       objMDB.Close
       Set objMDB = Nothing
    End if

    On Error GoTo 0

End Function
